#!/bin/bash

if test "$1" = "Comanche055"
then
echo Processing $1
AGC=COL
DEST=~/Projects/sandroid.org/public_html/apollo/ScansForConversion/Comanche055
OPTIONS="-contrast -contrast -contrast"
elif test "$1" = "Luminary099"
then
echo Processing $1
AGC=LUM
DEST=~/Projects/sandroid.org/public_html/apollo/ScansForConversion/Luminary099
OPTIONS="-contrast -contrast -contrast -contrast -contrast"
else
echo "Syntax is"
echo "     sh ./all.sh UNITTYPE"
echo "where UNITTYPE is something like Comanche055 or Luminary099."
exit
fi

SOURCE=~/Desktop/$AGC

for n in `seq 1 9` ; do sh ./paul.sh $SOURCE/1-50/$AGC-$n.jpg $DEST/000$n.jpg $OPTIONS ; done
for n in `seq 10 50` ; do sh ./paul.sh $SOURCE/1-50/$AGC-$n.jpg $DEST/00$n.jpg $OPTIONS ; done
for n in `seq 51 99` ; do sh ./paul.sh $SOURCE/51-100/$AGC-$n.jpg $DEST/00$n.jpg $OPTIONS ; done
for n in `seq 100 100` ; do sh ./paul.sh $SOURCE/51-100/$AGC-$n.jpg $DEST/0$n.jpg $OPTIONS ; done

# Three-digit names.
for I in `seq 101 50 951`
do
	J=$(($I + 49))
	for n in `seq $I $J`
	do 
		sh ./paul.sh $SOURCE/$I-$J/$AGC-$n.jpg $DEST/0$n.jpg $OPTIONS
	done
done
mv $DEST/01000.jpg $DEST/1000.jpg

# Four-digit names
for I in `seq 1001 50 1951`
do
	J=$(($I + 49))
	for n in `seq $I $J`
	do 
		sh ./paul.sh $SOURCE/$I-$J/$AGC-$n.jpg $DEST/$n.jpg $OPTIONS
	done
done


